org.apache.sysds.hops.estim

## Class MMNode

- java.lang.Object
- - org.apache.sysds.hops.estim.MMNode

-     public class MMNode
      extends Object

  Helper class to represent matrix multiply operators in a DAG along with references to its abstract data handles.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MMNode(MatrixBlock in)`
    `MMNode(MMNode left, MMNode right, SparsityEstimator.OpCode op)`
    `MMNode(MMNode left, MMNode right, SparsityEstimator.OpCode op, long[] misc)`
    `MMNode(MMNode left, SparsityEstimator.OpCode op)`
    `MMNode(MMNode left, SparsityEstimator.OpCode op, long[] misc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCols()`
    `MatrixBlock` | `getData()`
    `DataCharacteristics` | `getDataCharacteristics()`
    `MMNode` | `getLeft()`
    `long[]` | `getMisc()`
    `long` | `getMisc(int pos)`
    `SparsityEstimator.OpCode` | `getOp()`
    `MMNode` | `getRight()`
    `int` | `getRows()`
    `Object` | `getSynopsis()`
    `boolean` | `isLeaf()`
    `void` | `reset()`
    `DataCharacteristics` | `setDataCharacteristics(DataCharacteristics mc)`
    `void` | `setSynopsis(Object obj)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MMNode

          public MMNode(MatrixBlock in)

    - #### MMNode

          public MMNode(MMNode left,
                        MMNode right,
                        SparsityEstimator.OpCode op,
                        long[] misc)

    - #### MMNode

          public MMNode(MMNode left,
                        MMNode right,
                        SparsityEstimator.OpCode op)

    - #### MMNode

          public MMNode(MMNode left,
                        SparsityEstimator.OpCode op)

    - #### MMNode

          public MMNode(MMNode left,
                        SparsityEstimator.OpCode op,
                        long[] misc)

  - ### Method Detail

    - #### reset

          public void reset()

    - #### getRows

          public int getRows()

    - #### getCols

          public int getCols()

    - #### getMisc

          public long[] getMisc()

    - #### getMisc

          public long getMisc(int pos)

    - #### getDataCharacteristics

          public DataCharacteristics getDataCharacteristics()

    - #### setDataCharacteristics

          public DataCharacteristics setDataCharacteristics(DataCharacteristics mc)

    - #### getLeft

          public MMNode getLeft()

    - #### getRight

          public MMNode getRight()

    - #### isLeaf

          public boolean isLeaf()

    - #### getData

          public MatrixBlock getData()

    - #### setSynopsis

          public void setSynopsis(Object obj)

    - #### getSynopsis

          public Object getSynopsis()

    - #### getOp

          public SparsityEstimator.OpCode getOp()

Copyright © 2021 The Apache Software Foundation. All rights reserved.